Skip to content
Last updated

AddUser

Add a user.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"AddUser"Required
firstnamestringRequired
lastnamestringRequired
emailstringRequired
password2stringThe password for the newly created user accountRequired
languagestringDefault language setting. Provide full name: 'english', 'french', etc...Optional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'AddUser',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'firstname' => 'John',
            'lastname' => 'Doe',
            'email' => '[email protected]',
            'password2' => 'password',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'AddUser';
$postData = array(
    'firstname' => 'John',
    'lastname' => 'Doe',
    'email' => '[email protected]',
    'password2' => 'password',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "user_id": "1"
}

Error Responses

Possible error condition responses include:

  • You did not enter a first name
  • You did not enter a last name
  • You did not enter an email address
  • You did not enter a password
  • The email address entered is not valid
  • A user already exists with that email address

Version History

VersionChangelog
8.0.0Initial Version